Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.elasticmapreduce.model
Class JobFlowDetail

    java.lang.Object
      com.amazonaws.services.elasticmapreduce.model.JobFlowDetail

    public class JobFlowDetail

extends Object

A description of a job flow.

Constructor Summary
`JobFlowDetail()`

Method Summary
`List<BootstrapActionDetail>` | `getBootstrapActions()` A list of the bootstrap actions run by the job flow.
`JobFlowExecutionStatusDetail` | `getExecutionStatusDetail()` Describes the execution status of the job flow.
`JobFlowInstancesDetail` | `getInstances()` Describes the Amazon EC2 instances of the job flow.
`String` | `getJobFlowId()` The job flow identifier.
`String` | `getLogUri()` The location in Amazon S3 where log files for the job are stored.
`String` | `getName()` The name of the job flow.
`List<StepDetail>` | `getSteps()` A list of steps run by the job flow.
`void` | `setBootstrapActions(Collection<BootstrapActionDetail> bootstrapActions)` A list of the bootstrap actions run by the job flow.
`void` | `setExecutionStatusDetail(JobFlowExecutionStatusDetail executionStatusDetail)` Describes the execution status of the job flow.
`void` | `setInstances(JobFlowInstancesDetail instances)` Describes the Amazon EC2 instances of the job flow.
`void` | `setJobFlowId(String jobFlowId)` The job flow identifier.
`void` | `setLogUri(String logUri)` The location in Amazon S3 where log files for the job are stored.
`void` | `setName(String name)` The name of the job flow.
`void` | `setSteps(Collection<StepDetail> steps)` A list of steps run by the job flow.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`JobFlowDetail` | `withBootstrapActions(BootstrapActionDetail... bootstrapActions)` A list of the bootstrap actions run by the job flow.
`JobFlowDetail` | `withBootstrapActions(Collection<BootstrapActionDetail> bootstrapActions)` A list of the bootstrap actions run by the job flow.
`JobFlowDetail` | `withExecutionStatusDetail(JobFlowExecutionStatusDetail executionStatusDetail)` Describes the execution status of the job flow.
`JobFlowDetail` | `withInstances(JobFlowInstancesDetail instances)` Describes the Amazon EC2 instances of the job flow.
`JobFlowDetail` | `withJobFlowId(String jobFlowId)` The job flow identifier.
`JobFlowDetail` | `withLogUri(String logUri)` The location in Amazon S3 where log files for the job are stored.
`JobFlowDetail` | `withName(String name)` The name of the job flow.
`JobFlowDetail` | `withSteps(Collection<StepDetail> steps)` A list of steps run by the job flow.
`JobFlowDetail` | `withSteps(StepDetail... steps)` A list of steps run by the job flow.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JobFlowDetail

    public JobFlowDetail()

Method Detail

### getJobFlowId

    public String getJobFlowId()

  The job flow identifier.

  Returns:
    The job flow identifier.

### setJobFlowId

    public void setJobFlowId(String jobFlowId)

  The job flow identifier.

  Parameters:
    `jobFlowId` - The job flow identifier.

### withJobFlowId

    public JobFlowDetail withJobFlowId(String jobFlowId)

  The job flow identifier.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `jobFlowId` - The job flow identifier.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getName

    public String getName()

  The name of the job flow.

  Returns:
    The name of the job flow.

### setName

    public void setName(String name)

  The name of the job flow.

  Parameters:
    `name` - The name of the job flow.

### withName

    public JobFlowDetail withName(String name)

  The name of the job flow.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `name` - The name of the job flow.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getLogUri

    public String getLogUri()

  The location in Amazon S3 where log files for the job are stored.

  Returns:
    The location in Amazon S3 where log files for the job are stored.

### setLogUri

    public void setLogUri(String logUri)

  The location in Amazon S3 where log files for the job are stored.

  Parameters:
    `logUri` - The location in Amazon S3 where log files for the job are stored.

### withLogUri

    public JobFlowDetail withLogUri(String logUri)

  The location in Amazon S3 where log files for the job are stored.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `logUri` - The location in Amazon S3 where log files for the job are stored.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getExecutionStatusDetail

    public JobFlowExecutionStatusDetail getExecutionStatusDetail()

  Describes the execution status of the job flow.

  Returns:
    Describes the execution status of the job flow.

### setExecutionStatusDetail

    public void setExecutionStatusDetail(JobFlowExecutionStatusDetail executionStatusDetail)

  Describes the execution status of the job flow.

  Parameters:
    `executionStatusDetail` - Describes the execution status of the job flow.

### withExecutionStatusDetail

    public JobFlowDetail withExecutionStatusDetail(JobFlowExecutionStatusDetail executionStatusDetail)

  Describes the execution status of the job flow.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `executionStatusDetail` - Describes the execution status of the job flow.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getInstances

    public JobFlowInstancesDetail getInstances()

  Describes the Amazon EC2 instances of the job flow.

  Returns:
    Describes the Amazon EC2 instances of the job flow.

### setInstances

    public void setInstances(JobFlowInstancesDetail instances)

  Describes the Amazon EC2 instances of the job flow.

  Parameters:
    `instances` - Describes the Amazon EC2 instances of the job flow.

### withInstances

    public JobFlowDetail withInstances(JobFlowInstancesDetail instances)

  Describes the Amazon EC2 instances of the job flow.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `instances` - Describes the Amazon EC2 instances of the job flow.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getSteps

    public List<StepDetail> getSteps()

  A list of steps run by the job flow.

  Returns:
    A list of steps run by the job flow.

### setSteps

    public void setSteps(Collection<StepDetail> steps)

  A list of steps run by the job flow.

  Parameters:
    `steps` - A list of steps run by the job flow.

### withSteps

    public JobFlowDetail withSteps(StepDetail... steps)

  A list of steps run by the job flow.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `steps` - A list of steps run by the job flow.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withSteps

    public JobFlowDetail withSteps(Collection<StepDetail> steps)

  A list of steps run by the job flow.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `steps` - A list of steps run by the job flow.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getBootstrapActions

    public List<BootstrapActionDetail> getBootstrapActions()

  A list of the bootstrap actions run by the job flow.

  Returns:
    A list of the bootstrap actions run by the job flow.

### setBootstrapActions

    public void setBootstrapActions(Collection<BootstrapActionDetail> bootstrapActions)

  A list of the bootstrap actions run by the job flow.

  Parameters:
    `bootstrapActions` - A list of the bootstrap actions run by the job flow.

### withBootstrapActions

    public JobFlowDetail withBootstrapActions(BootstrapActionDetail... bootstrapActions)

  A list of the bootstrap actions run by the job flow.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `bootstrapActions` - A list of the bootstrap actions run by the job flow.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withBootstrapActions

    public JobFlowDetail withBootstrapActions(Collection<BootstrapActionDetail> bootstrapActions)

  A list of the bootstrap actions run by the job flow.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `bootstrapActions` - A list of the bootstrap actions run by the job flow.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.